Bug 1029146 - 1 line of corruption at the right end and bottom of the screen with G200 Server line
1 line of corruption at the right end and bottom of the screen with G200 Serv...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-mga (Show other bugs)
6.6
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Adam Jackson
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 13:47 EST by Matrox
Modified: 2017-12-06 06:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 06:26:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modified patch file (1.05 KB, patch)
2013-11-11 13:47 EST, Matrox
no flags Details | Diff

  None (edit)
Description Matrox 2013-11-11 13:47:23 EST
Created attachment 822563 [details]
Modified patch file

Description of problem:

With every resolution a line of invalid data is visible at right end of the display. There's another line corrupted at the bottom of the screen. 


Version-Release number of selected component (if applicable):


How reproducible:

Reproduce with every resolution and every time. I was able to reproduce the issue the problem with Red Hat 6.3, 6.4 and 6.5 (Beta).

Steps to Reproduce:
1.
2.
3.

Actual results:

The last line ( vertical and horizontal) is corrupted.


Expected results:


Additional info:

The clipping code added in the patch mga-1.6.1-shadowfb-clip.patch contains a minor bug. I've included the modified patch file that fixes the problem. It was tested with every products concerned.


-	pbox->x2 = min(pbox->x2, pScrn->pScreen->width - 1);
-	pbox->y2 = min(pbox->y2, pScrn->pScreen->height - 1);

+	pbox->x2 = min(pbox->x2, pScrn->pScreen->width);
+	pbox->y2 = min(pbox->y2, pScrn->pScreen->height);
Comment 3 RHEL Product and Program Management 2013-11-15 11:16:58 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Matrox 2015-06-18 15:24:35 EDT
Any updates on that bug?
Comment 6 Jan Kurik 2017-12-06 06:26:25 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.